USE AdventureWorks

DECLARE @startTime datetime
SET @startTime = Getdate()

WHILE datediff(second, @startTime, getdate()) < 120
BEGIN
	BEGIN TRANSACTION

	UPDATE Production.ProductCategory
	SET [Name] = [Name] + ' - Bike Stuff' 

	UPDATE Production.Product
	SET ListPrice = ListPrice * 1.1

ROLLBACK TRANSACTION

	BEGIN TRANSACTION
	EXECUTE HumanResources.uspUpdateEmployeeHireInfo 
	   1
	  ,'Product Manager'
	  ,@startTime
	  ,@startTime
	  ,10.00
	  ,1
	  ,1
	ROLLBACK TRANSACTION
END
